Page MenuHome

Bug in the preview - "Shading" mode menu. - Hackintosh (OSX system)
Closed, ArchivedPublic

Description

System Information
Operating system: OSX Mas OC Sierra 10.12.6
Graphics card: 2x NVidia GTX 1080Ti

Blender Version
Broken: 2.80 Beta version - 2018/11/30
(example: 2.79b release)
(example: 2.80, edbf15d3c044, blender2.8, 2018-11-28, as found on the splash screen)
Worked: (optional)

Short description of error
Hello guys, How are you? I have a little bug in the preview - "Shading" mode menu. - Hackintosh in my OSX system only. Because I have 2 SSDs, one with Windows and second with OSX system. In Windows I don't have this bug. I only have in my OSX system. My drivers it's updated. - In the future will this be possible to correct? Even being able to run Blender on a Hackintosh? See attached files with all info as posible. Thank's a lot! Julio Ferrari

Exact steps for others to reproduce the error
Based on the default startup or an attached .blend file (as simple as possible).

Details

Type
Bug

Event Timeline

Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.Dec 10 2018, 1:54 PM

Can you try a later blender beta build as see if the problem still occurs?

Hi Sebastian, I'm already using the latest version for Mac OSX (04 dec 2018). Tks!

Sebastian Parborg (zeddb) raised the priority of this task from Needs Information from User to Normal.Dec 10 2018, 3:12 PM

I'm not sure we support hackingtosh as there is no guarantee that the drivers will work correctly with unofficial hardware.
What do you think, @Clément Foucault (fclem) ?

You can try running blender with --debug-gpu-force-workarounds and see if it fixes it.

The issue I that you need a newer version of blender but the mac builder seems to be offline ATM.

Also here is a similar repport T57364

Is this still an issue in the latest builds?

If it is, here's some info on running Blender from the command line:
https://docs.blender.org/manual/en/dev/render/workflows/command_line.html?highlight=command%20line#macos

You would run

./blender.app/Contents/MacOS/blender --debug-gpu --debug-gpu-force-workarounds
Brecht Van Lommel (brecht) lowered the priority of this task from Normal to Needs Information from User.Mar 22 2019, 12:54 PM

Assuming this is fixed unless anyone can confirm it's still a bug.

Is this still an issue in the latest builds?

If it is, here's some info on running Blender from the command line:
https://docs.blender.org/manual/en/dev/render/workflows/command_line.html?highlight=command%20line#macos

You would run

./blender.app/Contents/MacOS/blender --debug-gpu --debug-gpu-force-workarounds

Hello Brecht. Sorry! I don't understand very well "Terminal", but I opened and I put the command line above and doesn't accept. I copyied and paste and write letter from letter and the message it's that the command doesn't exist or not work, I can remender exacly. But I will try again with a technical person who assembled my Hackintosh. Thanks!

You would first have to go to the directory that has the Blender binary, for example cd /Users/username/Desktop.

Did you test if this bug still exists in the latest builds? There were quite a few fixes since December. It's also possible this is a graphics driver bug that is fixed in macOS 10.13 or 10.14.

You would first have to go to the directory that has the Blender binary, for example cd /Users/username/Desktop.

Did you test if this bug still exists in the latest builds? There were quite a few fixes since December. It's also possible this is a graphics driver bug that is fixed in macOS 10.13 or 10.14.

Yes, I'd tested with the last updates, and the issue remains. I use OSX 10.12 (Sierra) in my Hack. Not 10.13 and 10.14. I have the Blender 2.8 app installed in Applications folder. I will try at night in my home. Thanks again Brecht!